> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mailchimp.com/developer/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/developer/_mcp/server.

# List survey responses

GET https://api.mailchimp.com/3.0/reporting/surveys/{survey_id}/responses

Get responses to a survey.

Reference: https://mailchimp.com/developer/marketing/api/reporting/list-survey-responses

## Authentication

- `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token)
- `Authorization` header (bearer token, required) — Authorization using OAuth

## Request

### Path parameters

- `survey_id` (string, required) — The ID of the survey.

### Query parameters

- `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
- `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
- `answered_question` (integer, optional) — The ID of the question that was answered.
- `chose_answer` (string, optional) — The ID of the option chosen to filter responses on.
- `respondent_familiarity_is` (enum, optional) — Filter survey responses by familiarity of the respondents.
  - Allowed values: `new`, `known`, `unknown`

## Response

### 200

List of survey responses

- `_links` (list of 30ReportingSurveysSurveyIdResponsesGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents.
- `responses` (list of 30ReportingSurveysSurveyIdResponsesGetResponsesContentApplicationJsonSchemaResponsesItems, optional) — An array of responses to a survey.
- `total_items` (integer, optional) — The total number of items matching the query regardless of pagination.

## Types

### 30ReportingSurveysSurveyIdResponsesGetResponsesContentApplicationJsonSchemaLinksItems

This object represents a link from the resource where it is found to another resource or action that may be performed.

- `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
- `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'.
  - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD`
- `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link.
- `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
- `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to.

### 30ReportingSurveysSurveyIdResponsesGetResponsesContentApplicationJsonSchemaResponsesItems

Survey respondent details.

- `contact` (30ReportingSurveysSurveyIdResponsesGetResponsesContentApplicationJsonSchemaResponsesItemsContact, optional) — Information about the contact.
- `is_new_contact` (boolean, optional) — If this contact was added to the Mailchimp audience via this survey.
- `response_id` (string, optional) — The ID for the survey response.
- `submitted_at` (datetime, optional) — The date and time when the survey response was submitted in ISO 8601 format.

### 30ReportingSurveysSurveyIdResponsesGetResponsesContentApplicationJsonSchemaResponsesItemsContact

Information about the contact.

- `avatar_url` (string, optional) — URL for the contact's avatar or profile image.
- `consents_to_one_to_one_messaging` (boolean, optional) — Indicates whether a contact consents to 1:1 messaging.
- `contact_id` (string, optional) — The ID of this contact.
- `email` (string, optional) — The contact's email address.
- `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address.
- `full_name` (string, optional) — The contact's full name.
- `phone` (string, optional) — The contact's sms phone number.
- `status` (enum, optional) — The contact's current status.
  - Allowed values: `Subscribed`, `Unsubscribed`, `Non-Subscribed`, `Cleaned`, `Archived`

## Examples

**Response**

```json
{
  "_links": [
    {
      "href": "string",
      "method": "GET",
      "rel": "string",
      "schema": "string",
      "targetSchema": "string"
    }
  ],
  "responses": [
    {
      "contact": {
        "avatar_url": "string",
        "consents_to_one_to_one_messaging": true,
        "contact_id": "string",
        "email": "string",
        "email_id": "string",
        "full_name": "string",
        "phone": "string",
        "status": "Subscribed"
      },
      "is_new_contact": true,
      "response_id": "string",
      "submitted_at": "2024-01-15T09:30:00Z"
    }
  ],
  "total_items": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reporting/surveys/survey_id/responses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```